﻿.outline {
    border: 4px solid lightgray;
    border-radius: 40px;
    padding: 40px 40px 40px 40px;
    margin: -8px 20px 20px ;
}
@media (max-width: 575.98px) {
    .outline {
        border: 4px solid lightgray;
        border-radius: 25px;
        padding: 5px 8px 20px 8px;
        margin: 2px 0px 20px 0px;
    }
}
/* 2022-08-18 By Chike: 817.pptx p17 2.請問框框拿掉會比較好嗎? -- Start -- */
.calendarcontent {
    border: 4px solid lightgray;
    border-radius: 40px;
    padding-top: 40px;
    padding-right: 40px;
    padding-bottom: 40px;
    padding-left: 40px;
    margin-top: -8px;
    margin-right: 20px;
    margin-bottom: 20px;
    margin-left: 20px;
}
@media (max-width: 575.98px) {
    .calendarcontent {
        border: none !important;
        border-radius: 0 !important;
        padding-top: 0px;
        padding-right: 4px;
        padding-bottom: 40px;
        padding-left: 4px;
        margin-top: 2px;
        margin-right: 0px;
        margin-bottom: 20px;
        margin-left: 0px;
    }
}
/* 2022-08-18 By Chike: 817.pptx p17 2.請問框框拿掉會比較好嗎? -- End -- */

.frameless {
    padding: 15px 30px;
    margin: 10px;
}
@media (max-width: 575.98px) {
    .frameless {
        padding: 0;
        margin: 0px;
    }
}
.category-title {
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 20px;
    /* 2022-07-25 By Chike: 新功能 52 儀表板 儀表板各功能的標題滑鼠一過去有手指頭 -- Start -- */
    cursor: pointer;
    /* 2022-07-25 By Chike: 新功能 52 儀表板 儀表板各功能的標題滑鼠一過去有手指頭 -- End -- */
}

/* 2022-08-09 By Chike: 0718-18 儀表板 儀表板任務及公告需要有{更多}、{…詳}的按鈕，需顯示今日所有的學習任務 -- Start -- */
.category-link {
    text-align: right;
    margin-top: 10px;
    font-size: 1.2rem;
    cursor: pointer;
}
/* 2022-08-09 By Chike: 0718-18 儀表板 儀表板任務及公告需要有{更多}、{…詳}的按鈕，需顯示今日所有的學習任務 -- End -- */

.article-title {
    font-size: 1.2rem;
    /*margin-right: 0.5rem !important;*/
    cursor: pointer;
    /*border: 1px solid red;*/ /*測試RWD*/
}
.studyTaskCourse {
    margin-right: 0.5rem;
}
.studyTaskTime {
    margin-right: 0.5rem;
}
.studyTaskTitle {
}

@media (max-width: 575.98px) {
    .studyTaskCourse {
        margin-right: 0.5rem;
    }
    .studyTaskTime {
        margin-right: 0.5rem;
    }
    .studyTaskTitle {
        width: 100%;
        display: inline-block;
    }
}

/* 2022-08-15 By Chike: 0718-延伸-學習任務 (考試、線上課程) 格式調整 -- End -- */

.announce-title {
    font-size: 1rem;
    font-weight: bold;
    color: #1cbbce;
    margin-left: 0.5rem;
}
/* 2022-08-20 By Chike: 版面RWD調整 -- Start -- */
.article-content {
    border: 4px solid lightgray;
    border-radius: 40px;
    padding: 2rem;
    margin: 2rem;
    height: 100%;
    display: flex;
    flex-direction: column;
}
.article-outline {
    display: flex;
    /*margin-bottom: 0.75rem;*/
    padding-top: 0.5rem;
    padding-right: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 0.5rem;
}
    .article-outline + .article-outline {
        border-top: 1px solid #ddd;
    }
    .article-outline > .left {
       flex-grow: 1;
    }
        .article-outline > .left .article-title {
            font-size: 1rem;
            font-weight: bold;
            color: #1cbbce;
        }
    .article-outline > .right {
        /*width: 140px;*/
        display: flex;
        justify-content: flex-end;
    }
        .article-outline > .right .user-info {
            font-size: 0.8rem;
            color: #be291a;
        }
@media (max-width: 575.98px) {
    .article-content {
        border: 4px solid lightgray;
        border-radius: 20px;
        padding: 0.5rem;
        margin: 0;
        margin-bottom: 0.5rem;
        height: 100%;
        display: flex;
        flex-direction: column;
    }
    .article-content-title {
        display: none;
    }
    .article-outline {
        display: flex;
        flex-direction: column;
    }

        .article-outline > .left {
            width: 100%;
        }

        .article-outline > .right {
            justify-content: flex-end;
        }
    .tool-button {
        margin-right: 0px !important;
    }
}

.dashboard-outline {
    /*float: left;*/
    width: 100%;
}
    .dashboard-outline > .left {
        float: left;
        width: 106px; /* 類別欄需要占用的寬度 */
        /*background: #C8FC98;*/ /*測試RWD*/
        /*border: 1px solid #244307;*/ /*測試RWD*/
    }
    .dashboard-outline > .right {
        margin-left: 106px; /* 類別欄需要占用的寬度 */
        /*background: #d9b8f1;*/ /*測試RWD*/
        /*border: 1px solid #7c1ee6;*/ /*測試RWD*/
    }
    .dashboard-outline > .right > .rightIconContent {
        float: right;
        padding-top: 2px;
    }
    .dashboard-outline:hover {
        background-color: rgba(0,0,0,.075);
    }
@media (max-width: 575.98px) {
   /* .dashboard-outline {
        display: flex;
        flex-direction: column;
        width: 100%;
    }*/

        .dashboard-outline > .left {
            width: 100%;
            /*background: #C8FC98;*/ /*測試RWD*/
            /*border: 1px solid #244307;*/ /*測試RWD*/
        }

        .dashboard-outline > .right {
            width: calc(100% - 16px);
            margin-left: 16px; /* 根據類別符號的寬度，往右側縮排 */
            /*background: #d9b8f1;*/ /*測試RWD*/
            /*border: 1px solid #7c1ee6;*/ /*測試RWD*/
            position: relative;
        }

            .dashboard-outline > .right > .rightIconContent {
                position: absolute;
                top: 2px;
                text-align: right;
                width: 100%;
            }
}
/* 2022-08-20 By Chike: 版面RWD調整 -- Start -- */ 

/* 2022-07-21 By Chike: 新功能 40 事件配色 -- Start -- */
/*  藍色：校園快訊
    紫色：班級快訊
    橘色：功課
    黃色：考試
    綠色：線上課程 2022-08-09 By Chike: 0718-11 學習任務 新增學習任務視訊改成線上課程 */
.type-homework {
    color: #F4511E;
}
.type-test {
    color: #F6BF26;
}
.type-video {
    color: #0B8043;
}
.type-school {
    color: #3F51B5;
}
.type-class {
    color: #8E24AA;
}
/* 2022-07-21 By Chike: 新功能 40 事件配色 -- Start -- */

.type-all {
    color: gray;
}

#study-task-delete-confirm span{
    color: #f00;
}

#announcement-delete-confirm span {
    color: #f00;
}

.user-info {
    display: inline-block;
    /*margin-left: 10px;*/
}

.remark {
    display: block !important;
    text-align: right !important;
}
/* 2022-07-06 By Chike: 新功能 42 公告訊息	公告訊息，標題與按讚左右距離太寬，4-5以空格做區隔 -- Start -- */
@media (min-width: 576px) {
    .remark {
        display: block !important;
        text-align: left !important;
        /*margin-left: 103px;*/
    }
}
/* 2022-07-06 By Chike: 新功能 42 公告訊息	公告訊息，標題與按讚左右距離太寬，4-5以空格做區隔 -- End -- */

.likeBtn {
    top: -5px;
    background-color: rgb(64, 147, 225);
    color: rgb(255, 255, 255);
    outline: none;
    border: none;
    width: 35px;
    height: 35px;
    text-align: center;
    line-height: 1.5;
    border-radius: 10px 10px 10px 0px;
    position: relative;
}

    .likeBtn::before {
        display: inline-block;
        content: '';
        border-left: rgb(64, 147, 225) 10px solid;
        border-bottom: transparent 10px solid;
        position: absolute;
        bottom: -5px;
        left: 0px;
    }

    .likeBtn:focus {
        outline: none;
        border: none;
    }

.likeCount {
    display: inline-block;
    margin-left: 5px;
}

.modal-info {
    background-color: white !important;
    display: initial;
}

.note-editable {
    background-color: white !important;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    padding: 0.75rem !important;
}

.modal-title {
    font-weight: bold;
}


/* 2022-08-17 By Chike: 817.pptx p16 篩選工具字眼拿掉，讓分類不跳行 -- Start -- */
.filter {
    margin: 0 34px;
    font-size: 1.5rem;
    font-weight: bold;
}
@media (max-width: 575.98px) {
    .filter {
        margin: 0 6px 0 -6px;
        font-size: 1.5rem;
        font-weight: bold;
    }
        .filter > .article-title {
            font-size: 1.2rem;
            margin-right: 0.1rem !important;
            cursor: pointer;
        }
}
/* 2022-08-17 By Chike: 817.pptx p16 篩選工具字眼拿掉，讓分類不跳行 -- End -- */
.tool-button {
    margin-right: 40px;
}

/* 2022-08-18 By Chike: 學習任務檢視Modal Ui優化 -- Start -- */
.bg-homework {
    background-color: #F4511E;
    color: #ffffff;
    border-radius: 0.25rem;
    padding: 0.25rem;
}
.bg-test {
    background-color: #F6BF26;
    color: #221f1f;
    border-radius: 0.25rem;
    padding: 0.25rem;
}
.bg-video {
    background-color: #0B8043;
    color: #ffffff;
    border-radius: 0.25rem;
    padding: 0.25rem;
}
.bg-school {
    background-color: #3F51B5;
    color: #ffffff;
    border-radius: 0.25rem;
    padding: 0.25rem;
}
.bg-class {
    background-color: #8E24AA;
    color: #ffffff;
    border-radius: 0.25rem;
    padding: 0.25rem;
}
.bg-courseName {
    background-color: #eac8ee;
    color: #221f1f;
    border-radius: 0.25rem;
    padding: 0.25rem;
}
.bg-lessonTime {
    background-color: #7dee75;
    color: #221f1f;
    border-radius: 0.25rem;
    padding: 0.25rem;
}
.modalTeacherName {
    color: #221f1f;
}
/* 2022-12-21 By Chike: UI優化 -- Start -- */
.modalTeacherName label {
    margin-bottom: 0 !important;
}
.modalFileLink {
}
.modalFileGroup {
    align-items: flex-end;
}
/* 2022-12-21 By Chike: UI優化 -- End -- */

.modalContentArea {
    min-height: calc(2.25rem + 2px);
    padding: 0.375rem 0.75rem;
    background-clip: padding-box;
    word-wrap: break-word;
    word-break: break-all;
}
/* 2022-08-18 By Chike: 學習任務檢視Modal Ui優化 -- End -- */

